public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Haubenwallner" <haubi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/libbsd/
Date: Wed,  9 Jan 2019 12:38:04 +0000 (UTC)	[thread overview]
Message-ID: <1547037455.e521ba12d5fa49f7aaf111325f1170821d1ab6c1.haubi@gentoo> (raw)

commit:     e521ba12d5fa49f7aaf111325f1170821d1ab6c1
Author:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  9 12:37:03 2019 +0000
Commit:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Wed Jan  9 12:37:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=e521ba12

dev-libs/libbsd: add for bug#674950

Bug: https://bugs.gentoo.org/674950
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Manifest-Sign-Key: 0x29FB0E9EC719EE20
Signed-off-by: Michael Haubenwallner <haubi <AT> gentoo.org>

 dev-libs/libbsd/Manifest            | 23 +++++++++++++++++++++
 dev-libs/libbsd/libbsd-0.9.1.ebuild | 40 +++++++++++++++++++++++++++++++++++++
 dev-libs/libbsd/metadata.xml        |  8 ++++++++
 3 files changed, 71 insertions(+)

diff --git a/dev-libs/libbsd/Manifest b/dev-libs/libbsd/Manifest
new file mode 100644
index 0000000000..d8b3c18f7b
--- /dev/null
+++ b/dev-libs/libbsd/Manifest
@@ -0,0 +1,23 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST libbsd-0.9.1.tar.xz 387180 BLAKE2B 40dd82ca1088ee7aae8b3d7685e8514eec702bf7ada7ef98f7177cad92b7e0fccc22a953b35f0f27202eb56833b31a81bef1324d43864d1b80887ba7c58684d5 SHA512 435822b8f2495a5e2705e5ab5c834a4f0f3a177b3e5c46a7c6162924507ca984e957e94a512b5ebd0067ecb413bac458fade357709ef199e9b75edf0315de91c
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2
+
+iQKTBAEBCAB9FiEEY4PJ0Y//u+XgtVrKscWEirl385IFAlw16u9fFIAAAAAALgAo
+aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDYz
+ODNDOUQxOEZGRkJCRTVFMEI1NUFDQUIxQzU4NDhBQjk3N0YzOTIACgkQscWEirl3
+85IRaw//WGAal0LTpTy/YAL334RfEExLbyw3SqgKDDa/eZNYKxU8IALGGYQBJHAc
+PLoE7qiCLI5f7KcfwYhB8aMdL5VREEccGD8tkkqwZQK3xXaGr2sIT2hTt6jUHgVL
+abQoZJPGlEdrZzlqD5uD4v1hX/HqO7+xu19JClJ6JkpcUflvZkvIzhk43+eV6qSC
+UBadZ7N43EinAgyH+vFoklqSeWRO2CYYNzWbqpNzaNY+1KxiYx2li7VNE1xKQ+3K
+JFkmaoNzW/gnn4TOpDOvvUDE4M/JcXS62dMZi5xdX42abMz2kJm5ANrmPlAp0qiN
+zBjejthE6/uNMNX96C60PZo9m3ovabiSK4D4213vVdMMs62RAK2QyvrBtC3OHvUa
+h/CheOILnqnOKq2KEAocm19T2h1Ap9fsfeIp7+DyHvZrR1o8+TlNEPi9HwIoMyMm
+MJsRAoDrncFHxpL5b/SfxcJwGwEfgWEMpcRG772OeCEYhI6q7fP7w0quuHMgSdPT
+/Pf/awxq/uLWSgbfqCGDHtvXbRnG9F0dXmpprLLj2fcop7g31nYIiEaQ/R+rE8on
+bErsTzNz9CojDaF08DcKU8lEUsx/rZaXncHv+7JK+pvs4f6+jm0InNijr03WcnEo
+eK4GAs3br7P/0tARi5bndswmiBiE82cVH0cz/aRKfMP0UGRA8Lg=
+=VD5h
+-----END PGP SIGNATURE-----

diff --git a/dev-libs/libbsd/libbsd-0.9.1.ebuild b/dev-libs/libbsd/libbsd-0.9.1.ebuild
new file mode 100644
index 0000000000..40d57309e3
--- /dev/null
+++ b/dev-libs/libbsd/libbsd-0.9.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib-minimal
+
+DESCRIPTION="An library to provide useful functions commonly found on BSD systems"
+HOMEPAGE="https://libbsd.freedesktop.org/wiki/"
+SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz"
+
+LICENSE="BSD BSD-2 BSD-4 ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+DEPEND="|| ( >=sys-kernel/linux-headers-3.17 virtual/os-headers )"
+RDEPEND=""
+
+pkg_setup() {
+	local f="${EROOT}/usr/$(get_libdir)/${PN}.a"
+	local m="You need to remove ${f} by hand or re-emerge sys-libs/glibc first."
+	if ! has_version ${CATEGORY}/${PN}; then
+		if [[ -e ${f} ]]; then
+			eerror "${m}"
+			die "${m}"
+		fi
+	fi
+}
+
+multilib_src_configure() {
+	# The build system will install libbsd-ctor.a despite of USE="-static-libs"
+	# which is correct, see:
+	# https://cgit.freedesktop.org/libbsd/commit/?id=c5b959028734ca2281250c85773d9b5e1d259bc8
+	ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+	emake DESTDIR="${D}" install
+	find "${ED}" -name "*.la" -delete || die
+}

diff --git a/dev-libs/libbsd/metadata.xml b/dev-libs/libbsd/metadata.xml
new file mode 100644
index 0000000000..0f6db5621b
--- /dev/null
+++ b/dev-libs/libbsd/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>freedesktop-bugs@gentoo.org</email>
+    <name>Gentoo Freedesktop Project</name>
+  </maintainer>
+</pkgmetadata>


             reply	other threads:[~2019-01-09 12:38 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-09 12:38 Michael Haubenwallner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-06-30 16:15 [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/libbsd/ Sam James
2024-10-09  7:06 Fabian Groffen
2024-10-10  8:33 Fabian Groffen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1547037455.e521ba12d5fa49f7aaf111325f1170821d1ab6c1.haubi@gentoo \
    --to=haubi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox